package com.onsiteservice.constant.enums;

import lombok.Getter;

/**
 * <P>订单状态枚举</P>
 *
 * @author jack
 * @version v1.0
 * @since 2022/4/11 15:42
 */
public enum ServiceOrderStatusEnum {


    /**
     * 已提交
     */
    SUBMIT(1, "用户已下单"),

    /**
     * 已受理:估价+发送客户
     */
    VALUATION(2, "已指派估价员"),

    /**
     * 已发送
     */
    SEND(3, "已发送"),

    /**
     * 已支付
     */
    PAY(4, "已支付"),

    /**
     * 已派单
     */
    DISPATCH(5, "已派单"),

    /**
     * 已确认
     */
    FINISH(6, "已完成"),

    /**
     *
     */
    CANCEL(7, "已取消"),

    /**
     * 退款状态
     */
    REFUND_APPLY(8,"申请退款"),
    REFUND_HANDLING(9,"退款处理中"),
    REFUND_FAIL(10,"退款失败"),
    REFUND_FINISH(11,"退款完成");


    @Getter
    private Integer status;

    @Getter
    private String msg;


    private ServiceOrderStatusEnum(Integer status, String msg) {
        this.status = status;
        this.msg = msg;
    }


}
