package com.onsiteservice.miniapp.service.weixin.pay.config;

import org.apache.http.client.HttpClient;

/**
 * 常量
 */
public class WXPayConstants {

    public static final String DOMAIN_API = "api.mch.weixin.qq.com";
    public static final String DOMAIN_API2 = "api2.mch.weixin.qq.com";
    public static final String DOMAIN_APIHK = "apihk.mch.weixin.qq.com";
    public static final String DOMAIN_APIUS = "apius.mch.weixin.qq.com";
    public static final String FAIL     = "FAIL";
    public static final String SUCCESS  = "SUCCESS";
    public static final String HMACSHA256 = "HMAC-SHA256";
    public static final String MD5 = "MD5";
    public static final String FIELD_SIGN = "sign";
    public static final String FIELD_SIGN_TYPE = "sign_type";
    public static final String WXPAYSDK_VERSION = "WXPaySDK/3.0.9";
    public static final String USER_AGENT = WXPAYSDK_VERSION +
            " (" + System.getProperty("os.arch") + " " + System.getProperty("os.name") + " " + System.getProperty("os.version") +
            ") Java/" + System.getProperty("java.version") + " HttpClient/" + HttpClient.class.getPackage().getImplementationVersion();
    public static final String MICROPAY_URL_SUFFIX     = "/pay/micropay";
    public static final String UNIFIEDORDER_URL_SUFFIX = "/pay/unifiedorder";
    public static final String ORDERQUERY_URL_SUFFIX   = "/pay/orderquery";
    public static final String REVERSE_URL_SUFFIX      = "/secapi/pay/reverse";
    public static final String CLOSEORDER_URL_SUFFIX   = "/pay/closeorder";
    public static final String REFUND_URL_SUFFIX       = "/secapi/pay/refund";
    public static final String REFUNDQUERY_URL_SUFFIX  = "/pay/refundquery";
    public static final String DOWNLOADBILL_URL_SUFFIX = "/pay/downloadbill";
    public static final String REPORT_URL_SUFFIX       = "/payitil/report";
    public static final String SHORTURL_URL_SUFFIX     = "/tools/shorturl";
    public static final String AUTHCODETOOPENID_URL_SUFFIX = "/tools/authcodetoopenid";
    /**
     * 退款接口链接
     */
    public static final String WXREFUND_URL = "https://api.mch.weixin.qq.com/secapi/pay/refund";
    /**
     * 支付通知
     */
    public static final String NOTIFY_URL = "http://39.96.19.25:8091/wechat/notify";
    /**
     * 退款通知
     */
    public static final String REFUND_NOTIFY_URL = "http://39.96.19.25:8091/wechat/refundNotify";
    /**
     * 退款证书路径
     */
//    public static final String WX_CERT_PATH = "D:\\cert\\antaitiyu\\apiclient_cert.p12";
    public static final String WX_CERT_PATH = "/usr/deploy/cert/wechat/apiclient_cert.p12";
    public enum SignType {
        MD5, HMACSHA256
    }


}

